package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussDevice implements Serializable {
    private Integer id;

    private String name;

    private String vendercode;

    private String matno;

    private String devicelogo;

    private String vendername;

    private String vendermodel;

    private String aislemodel;

    private String type;

    private String introdesc;

    private Integer seq;

    private Integer status;

    private Date createdt;

    private Integer inventory;

    private Double unitprice;

    private String detail;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getVendercode() {
        return vendercode;
    }

    public void setVendercode(String vendercode) {
        this.vendercode = vendercode == null ? null : vendercode.trim();
    }

    public String getMatno() {
        return matno;
    }

    public void setMatno(String matno) {
        this.matno = matno == null ? null : matno.trim();
    }

    public String getDevicelogo() {
        return devicelogo;
    }

    public void setDevicelogo(String devicelogo) {
        this.devicelogo = devicelogo == null ? null : devicelogo.trim();
    }

    public String getVendername() {
        return vendername;
    }

    public void setVendername(String vendername) {
        this.vendername = vendername == null ? null : vendername.trim();
    }

    public String getVendermodel() {
        return vendermodel;
    }

    public void setVendermodel(String vendermodel) {
        this.vendermodel = vendermodel == null ? null : vendermodel.trim();
    }

    public String getAislemodel() {
        return aislemodel;
    }

    public void setAislemodel(String aislemodel) {
        this.aislemodel = aislemodel == null ? null : aislemodel.trim();
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public String getIntrodesc() {
        return introdesc;
    }

    public void setIntrodesc(String introdesc) {
        this.introdesc = introdesc == null ? null : introdesc.trim();
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreatedt() {
        return createdt;
    }

    public void setCreatedt(Date createdt) {
        this.createdt = createdt;
    }

    public Integer getInventory() {
        return inventory;
    }

    public void setInventory(Integer inventory) {
        this.inventory = inventory;
    }

    public Double getUnitprice() {
        return unitprice;
    }

    public void setUnitprice(Double unitprice) {
        this.unitprice = unitprice;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail == null ? null : detail.trim();
    }
}